package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 录音临时文件对象 order_sound_log
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public class OrderSoundLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Integer id;

    /** 订单id */
    @Excel(name = "订单id")
    private Long oid;

    /** 文件路径 */
    @Excel(name = "文件路径")
    private String file;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long createdAt;

    /** 1:未合并 2：已合并 */
    @Excel(name = "1:未合并 2：已合并")
    private Integer isMerge;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }

    public void setOid(Long oid) 
    {
        this.oid = oid;
    }

    public Long getOid() 
    {
        return oid;
    }

    public void setFile(String file) 
    {
        this.file = file;
    }

    public String getFile() 
    {
        return file;
    }

    public void setCreatedAt(Long createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Long getCreatedAt() 
    {
        return createdAt;
    }

    public void setIsMerge(Integer isMerge) 
    {
        this.isMerge = isMerge;
    }

    public Integer getIsMerge() 
    {
        return isMerge;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("oid", getOid())
            .append("file", getFile())
            .append("createdAt", getCreatedAt())
            .append("isMerge", getIsMerge())
            .toString();
    }
}
